Subject: Re: bug#24467: 25.1; package

From: Michael Heerdegen <[email-masked]>
Date: Sun, 25 Sep 2016 15:38:30 +0200

[email-masked] writes:

> Ah, so the packages are "new" in the sense that they come from
> archives added after package-initialize was called.

I'm not sure whether this is by design and if we would break something
if we changed it.  I think the fix would be quite trivial: simply
speaking, we would change `package-read-all-archive-contents' to iterate
over "$package-user-dir/archives/*" instead of `package-archives'.

Michael.